curl "https://api.magpipe.ai/functions/v1/manage-skills/SKILL_ID/executions?limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"executions": [
{
"id": "b425a0b3-...",
"agent_skill_id": "7a99a0af-...",
"trigger_type": "manual",
"status": "completed",
"result": {
"summary": "Social Media Monitor: 20 new mention(s) found...",
"actions_taken": ["mentions_found"],
"data": { "new_mentions": 20 }
},
"error_message": null,
"execution_time_ms": 8500,
"created_at": "2026-03-05T07:06:14.000Z",
"completed_at": "2026-03-05T07:06:22.500Z",
"skill_definitions": {
"name": "Social Media Monitoring",
"slug": "social_media_monitoring"
}
}
]
}
Skills
List Skill Executions
List execution history for a skill
GET
/
manage-skills
/
{id}
/
executions
curl "https://api.magpipe.ai/functions/v1/manage-skills/SKILL_ID/executions?limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"executions": [
{
"id": "b425a0b3-...",
"agent_skill_id": "7a99a0af-...",
"trigger_type": "manual",
"status": "completed",
"result": {
"summary": "Social Media Monitor: 20 new mention(s) found...",
"actions_taken": ["mentions_found"],
"data": { "new_mentions": 20 }
},
"error_message": null,
"execution_time_ms": 8500,
"created_at": "2026-03-05T07:06:14.000Z",
"completed_at": "2026-03-05T07:06:22.500Z",
"skill_definitions": {
"name": "Social Media Monitoring",
"slug": "social_media_monitoring"
}
}
]
}
Retrieve the execution history for a specific agent skill. Results are ordered by most recent first.
Path Parameters
The agent skill ID.
Query Parameters
Filter by execution status:
completed, failed, pending, running, or cancelled.Maximum results to return. Max: 100.
Response
Array of execution records.
Show Execution
Show Execution
Execution ID (UUID)
Agent skill this execution belongs to
How it was triggered:
manual, schedule, event, dry_runcompleted, failed, pending, running, or cancelledExecution result with summary and data
Error details if failed
Duration in milliseconds
ISO timestamp when execution started
ISO timestamp when execution finished
Joined skill name and slug
curl "https://api.magpipe.ai/functions/v1/manage-skills/SKILL_ID/executions?limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"executions": [
{
"id": "b425a0b3-...",
"agent_skill_id": "7a99a0af-...",
"trigger_type": "manual",
"status": "completed",
"result": {
"summary": "Social Media Monitor: 20 new mention(s) found...",
"actions_taken": ["mentions_found"],
"data": { "new_mentions": 20 }
},
"error_message": null,
"execution_time_ms": 8500,
"created_at": "2026-03-05T07:06:14.000Z",
"completed_at": "2026-03-05T07:06:22.500Z",
"skill_definitions": {
"name": "Social Media Monitoring",
"slug": "social_media_monitoring"
}
}
]
}
⌘I